Bug 238425 - [NEW PORT] misc/mc-nox11: misc/mc (Midnight Commander) but without x11 dependencies
Summary: [NEW PORT] misc/mc-nox11: misc/mc (Midnight Commander) but without x11 depend...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2019-06-08 19:56 UTC by Dmitry Wagin
Modified: 2019-10-30 02:57 UTC (History)
1 user (show)

See Also:


Attachments
mc.diff (1.01 KB, patch)
2019-06-08 19:56 UTC, Dmitry Wagin
no flags Details | Diff
mc.diff (1.56 KB, patch)
2019-06-08 20:03 UTC, Dmitry Wagin
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2019-06-08 19:56:43 UTC
Created attachment 204918 [details]
mc.diff

By default the mc port is compiled with X11 support, this is excessive on the server.
Comment 1 Dmitry Wagin 2019-06-08 20:03:26 UTC
Created attachment 204919 [details]
mc.diff
Comment 2 Dmitry Wagin 2019-08-08 07:11:04 UTC
Maintainer Timeout
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-08 08:20:01 UTC
Comment on attachment 204919 [details]
mc.diff

Approved by: portmgr (maintainer timeout: 2 months)

Pending QA
Comment 4 Dmitry Wagin 2019-08-12 13:34:44 UTC
change passed QA
Comment 5 commit-hook freebsd_committer 2019-10-28 00:34:51 UTC
A commit references this bug:

Author: meta
Date: Mon Oct 28 00:34:10 UTC 2019
New revision: 515841
URL: https://svnweb.freebsd.org/changeset/ports/515841

Log:
  New port: misc/mc-nox11: misc/mc but without x11 dependencies

  PR:		238425
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru>
  Approved by:	portmgr (maintainer timeout: 2 months)

Changes:
  head/misc/mc/Makefile
  head/misc/mc-nox11/
  head/misc/mc-nox11/Makefile
Comment 6 Koichiro Iwao freebsd_committer 2019-10-28 00:36:13 UTC
Committed, thanks for your work!
Comment 7 commit-hook freebsd_committer 2019-10-30 02:57:52 UTC
A commit references this bug:

Author: meta
Date: Wed Oct 30 02:57:02 UTC 2019
New revision: 516044
URL: https://svnweb.freebsd.org/changeset/ports/516044

Log:
  Add mc-nox11 to Makefile

  forgotten in r515841.

  PR:		238425
  Reported by:	antonie

Changes:
  head/misc/Makefile